Package org.eclipse.e4.ui.model.application.ui.advanced

# Interface MPerspective

All Superinterfaces:
  `MApplicationElement`, `MBindings`, `MContext`, `MElementContainer<MPartSashContainerElement>`, `MHandlerContainer`, `MLocalizable`, `MUIElement`, `MUILabel`

All Known Implementing Classes:
  `PerspectiveImpl`

public interface MPerspective extends MElementContainer<MPartSashContainerElement>, MUILabel, MContext, MHandlerContainer, MBindings
A representation of the model object 'Perspective'.

The Perspective defines a part of the UI presentation that can be switched independently of the rest of the UI. By using Placeholders it's possible to share elements between different perspectives.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Windows`
  - `Trim Bars`

## Method Summary

Modifier and Type
Method
Description
`List<MTrimBar>`
`getTrimBars()`
Returns the value of the 'Trim Bars' containment reference list.
`List<MWindow>`
`getWindows()`
Returns the value of the 'Windows' containment reference list.

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.commands.MBindings

`getBindingContexts`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MContext

`getContext, getProperties, getVariables, setContext`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.commands.MHandlerContainer

`getHandlers`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

## Method Details

### getWindows

List<MWindow> getWindows()
Returns the value of the 'Windows' containment reference list. The list contents are of type `MWindow`.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Windows' containment reference list.

### getTrimBars

List<MTrimBar> getTrimBars()
Returns the value of the 'Trim Bars' containment reference list. The list contents are of type `MTrimBar`.

The collection of TrimBars associated with this perspective.

Returns:
  the value of the 'Trim Bars' containment reference list.
Since:
  1.3